## org.apache.lucene.analysis.ru
Class RussianLowerCaseFilter

    java.lang.Object
      org.apache.lucene.analysis.TokenStream
          org.apache.lucene.analysis.TokenFilter
              org.apache.lucene.analysis.ru.RussianLowerCaseFilter

    public final class RussianLowerCaseFilter

extends TokenFilter

Normalizes token text to lower case, analyzing given ("russian") charset.

Version:
  $Id: RussianLowerCaseFilter.java 564236 2007-08-09 15:21:19Z gsingers $

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`RussianLowerCaseFilter(TokenStream in, char[] charset)`

Method Summary
`Token` `next()`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`next, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RussianLowerCaseFilter

    public RussianLowerCaseFilter(TokenStream in,
                                  char[] charset)

Method Detail

### next

    public final Token next()
                     throws IOException

  Overrides:
    `next` in class `TokenStream`
  Throws:
    `IOException`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.